Bug 91813 - application/x-sms-rom shouldn't represents SG-1000 and Game Gear
Summary: application/x-sms-rom shouldn't represents SG-1000 and Game Gear
Status: RESOLVED FIXED
Alias: None
Product: shared-mime-info
Classification: Unclassified
Component: freedesktop.org.xml (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Shared Mime Info group
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-30 18:41 UTC by Adrien Plazas
Modified: 2016-08-02 15:11 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
Make application/x-sms-rom rules more precise (3.57 KB, patch)
2015-08-30 18:43 UTC, Adrien Plazas
Details | Splinter Review
Add application/x-sg1000-rom (2.89 KB, patch)
2015-08-30 18:44 UTC, Adrien Plazas
Details | Splinter Review
Add application/x-gamegear-rom (3.46 KB, patch)
2015-08-30 18:44 UTC, Adrien Plazas
Details | Splinter Review
Make application/x-sms-rom rules more precise (3.62 KB, patch)
2015-08-30 18:56 UTC, Adrien Plazas
Details | Splinter Review
Add application/x-sg1000-rom (2.94 KB, patch)
2015-08-30 18:56 UTC, Adrien Plazas
Details | Splinter Review
Add application/x-gamegear-rom (3.51 KB, patch)
2015-08-30 18:57 UTC, Adrien Plazas
Details | Splinter Review
Make application/x-sms-rom rules more precise (3.57 KB, patch)
2016-08-02 15:04 UTC, Adrien Plazas
Details | Splinter Review
Add application/x-sg1000-rom (2.92 KB, patch)
2016-08-02 15:04 UTC, Adrien Plazas
Details | Splinter Review
Add application/x-gamegear-rom (3.50 KB, patch)
2016-08-02 15:04 UTC, Adrien Plazas
Details | Splinter Review

Description Adrien Plazas 2015-08-30 18:41:51 UTC
application/x-sms-rom is used to represent Master System, SG-1000 and Game Gear ROMs, while it should only represent Master System and Mark III ROMs.
Comment 1 Adrien Plazas 2015-08-30 18:43:44 UTC
Created attachment 117993 [details] [review]
Make application/x-sms-rom rules more precise
Comment 2 Adrien Plazas 2015-08-30 18:44:00 UTC
Created attachment 117994 [details] [review]
Add application/x-sg1000-rom
Comment 3 Adrien Plazas 2015-08-30 18:44:19 UTC
Created attachment 117995 [details] [review]
Add application/x-gamegear-rom
Comment 4 Adrien Plazas 2015-08-30 18:56:40 UTC
Created attachment 117999 [details] [review]
Make application/x-sms-rom rules more precise
Comment 5 Adrien Plazas 2015-08-30 18:56:58 UTC
Created attachment 118000 [details] [review]
Add application/x-sg1000-rom
Comment 6 Adrien Plazas 2015-08-30 18:57:24 UTC
Created attachment 118001 [details] [review]
Add application/x-gamegear-rom
Comment 7 Bastien Nocera 2015-08-31 08:46:41 UTC
Comment on attachment 117999 [details] [review]
Make application/x-sms-rom rules more precise

Review of attachment 117999 [details] [review]:
-----------------------------------------------------------------

::: tests/list
@@ +430,5 @@
>  disk.raw-disk-image.xz application/x-raw-disk-image-xz-compressed oxo
>  
>  # Video game ROMs
> +# Sonic the Hedgehog truncated to 1Ko
> +sms-test.sms application/x-sms-rom ox

why does it fail? File not big enough?
Comment 8 Bastien Nocera 2015-08-31 08:48:19 UTC
Comment on attachment 118000 [details] [review]
Add application/x-sg1000-rom

Review of attachment 118000 [details] [review]:
-----------------------------------------------------------------

::: freedesktop.org.xml.in
@@ +3289,5 @@
>      <_comment>Stampede package</_comment>
>      <generic-icon name="package-x-generic"/>
>    </mime-type>
> +  <mime-type type="application/x-sg1000-rom">
> +    <_comment>SG-1000 ROM</_comment>

Missing <acronym> and <expanded-acronym>

@@ +3291,5 @@
>    </mime-type>
> +  <mime-type type="application/x-sg1000-rom">
> +    <_comment>SG-1000 ROM</_comment>
> +    <generic-icon name="application-x-executable"/>
> +    <glob pattern="*.sg"/>

No magic?
Comment 9 Bastien Nocera 2015-08-31 08:49:32 UTC
Comment on attachment 118001 [details] [review]
Add application/x-gamegear-rom

Review of attachment 118001 [details] [review]:
-----------------------------------------------------------------

::: freedesktop.org.xml.in
@@ +3309,5 @@
>    </mime-type>
> +  <mime-type type="application/x-gamegear-rom">
> +    <_comment>Game Gear ROM</_comment>
> +    <generic-icon name="application-x-executable"/>
> +    <!-- Disabled, the magic would be too far into the file

Same problem with the sms magic, no?
Comment 10 Bastien Nocera 2015-08-31 08:50:17 UTC
(In reply to Bastien Nocera from comment #7)
> Comment on attachment 117999 [details] [review] [review]
> Make application/x-sms-rom rules more precise
> 
> Review of attachment 117999 [details] [review] [review]:
> -----------------------------------------------------------------
> 
> ::: tests/list
> @@ +430,5 @@
> >  disk.raw-disk-image.xz application/x-raw-disk-image-xz-compressed oxo
> >  
> >  # Video game ROMs
> > +# Sonic the Hedgehog truncated to 1Ko
> > +sms-test.sms application/x-sms-rom ox
> 
> why does it fail? File not big enough?

Oh, disabled because the magic is too far...
Comment 11 Adrien Plazas 2015-08-31 15:30:16 UTC
Comment on attachment 118001 [details] [review]
Add application/x-gamegear-rom

Review of attachment 118001 [details] [review]:
-----------------------------------------------------------------

::: freedesktop.org.xml.in
@@ +3309,5 @@
>    </mime-type>
> +  <mime-type type="application/x-gamegear-rom">
> +    <_comment>Game Gear ROM</_comment>
> +    <generic-icon name="application-x-executable"/>
> +    <!-- Disabled, the magic would be too far into the file

Yes, both have this problem.

I still completed the magic for both in case it is enabled again, so we can tell the ones from the others.
Comment 12 Adrien Plazas 2016-08-02 15:04:27 UTC
Created attachment 125483 [details] [review]
Make application/x-sms-rom rules more precise

Check a byte to know if it actually is a Master System ROM.

Also remove the *.sg and *.gg glob patterns which are for the
application/x-sg1000-rom and application/x-gamegear-rom types which will
be added in next commits.
Comment 13 Adrien Plazas 2016-08-02 15:04:32 UTC
Created attachment 125484 [details] [review]
Add application/x-sg1000-rom
Comment 14 Adrien Plazas 2016-08-02 15:04:35 UTC
Created attachment 125485 [details] [review]
Add application/x-gamegear-rom
Comment 15 Bastien Nocera 2016-08-02 15:11:09 UTC
Attachment 125483 [details] pushed as 97f2cde - Make application/x-sms-rom rules more precise
Attachment 125484 [details] pushed as e782480 - Add application/x-sg1000-rom
Attachment 125485 [details] pushed as 14b348f - Add application/x-gamegear-rom


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.